%define module_name Dist-Zilla-Plugin-StaticInstall
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(Dist/Zilla/Role/InstallTool.pm) perl(Dist/Zilla/Role/MetaProvider.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(File/Spec.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Types/Moose.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(autovivification.pm) perl(if.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.012
Release: alt1
Summary: (EXPERIMENTAL, DANGEROUS) Identify a distribution as eligible for static installation
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/Dist-Zilla-Plugin-StaticInstall

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a the Dist::Zilla manpage plugin that, when `mode' is `on', provides the following distribution metadata:

    x_static_install : "1"

The plugin performs a number of checks against the distribution to determine
the proper value of the `x_static_install' metadata field. When set to a true
value, this indicates that the can skip a number of installation steps
(such as running Makefile.PL or Build.PL and acting on its side effects).

The definition of a "static installation" is being prototyped by the Perl
Toolchain Gang and is still being refined.  DO NOT USE THIS PLUGIN if you
are not involved in this testing. The proper installation of the built
distribution cannot be guaranteed if installed with a static install-enabled
client.

The current preconditions for `x_static_install' being true include:

=for stopwords sharedir

=over 4

=item *

`dynamic_config' must be false in metadata

=item *

no prerequisites in configure-requires other than the ExtUtils::MakeMaker manpage, the Module::Build::Tiny manpage, or the File::ShareDir::Install manpage

=item *

no prerequisites in build-requires

=item *

no module sharedir (a distribution sharedir is okay)

=item *

no installer plugins permitted other than:

=over 4

=item *

the Dist::Zilla::Plugin::MakeMaker manpage

=item *

the Dist::Zilla::Plugin::MakeMaker::Fallback manpage

=item *

the Dist::Zilla::Plugin::ModuleBuildTiny manpage

=item *

the Dist::Zilla::Plugin::ModuleBuildTiny::Fallback manpage

=back

=item *

an installer plugin from the above list must be used (a manually-generated Makefile.PL or Build.PL is not permitted)

=item *

no other plugins may modify Makefile.PL nor Build.PL

=item *

the `[MetaJSON]' plugin must be used, at (the default) meta-spec version 2

=item *

no .xs files may be present

=item *

.pm, .pod, .pl files may not be present in the root of the distribution or in `BASEEXT' (where `BASEEXT' is the last component of the distribution name)

=item *

.pmc and .PL files (excluding Makefile.PL, Build.PL) may not be present

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Sun Nov 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.012-alt1
- regenerated from template by package builder

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.010-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- regenerated from template by package builder

* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.008-alt1
- initial import by package builder

